[Rubygems-developers] How to freeze gems that require native extension without sudo rights ?

Chad Woolley thewoolleyman at gmail.com
Tue Nov 4 20:13:27 EST 2008


On Tue, Nov 4, 2008 at 6:02 PM, Chad Woolley <thewoolleyman at gmail.com>wrote:

> But, since he said the correct version is already installed on the system,
> this would be a no-op.
>

Actually, I think I'm wrong, it will not be a no-op, it will attempt
reinstall and failover to ~/.gem like Eric said.  Does >=1.3.0 always check
in ~/.gems by default, even if it isn't set in env or ~/.gemrc?  If so, this
means he doesn't have to set any env or .gemrc entries?
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://rubyforge.org/pipermail/rubygems-developers/attachments/20081104/9a4ba918/attachment.html>


More information about the Rubygems-developers mailing list